Hello,

Since today I have a strange error occuring on my system : FreeBSD 5.5-RELEASE-p9


---> Upgrading 'gettext-0.16.1_1' to 'gettext-0.16.1_3' (devel/ gettext)
--->  Building '/usr/ports/devel/gettext'
On FreeBSD before 6.2 ports system unfortunately can not set default X11BASE by itself so please help it a bit by setting X11BASE=${LOCALBASE} in make.conf. On the other hand, if you do wish to use non-default X11BASE, please set variable USE_NONDEFAULT_X11BASE.
*** Error code 1

Stop.
---> Skipping 'security/libgpg-error' (libgpg-error-1.4_1) because a requisite package 'gettext-0.16.1_1' (devel/gettext) failed (specify -k to force) ---> Skipping 'www/neon' (neon-0.26.3) because a requisite package 'gettext-0.16.1_1' (devel/gettext) failed (specify -k to force) ---> Skipping 'devel/gmake' (gmake-3.81_1) because a requisite package 'gettext-0.16.1_1' (devel/gettext) failed (specify -k to force)
--->  Upgrading 'nmap-4.20' to 'nmap-4.20_1' (security/nmap)
--->  Building '/usr/ports/security/nmap'
On FreeBSD before 6.2 ports system unfortunately can not set default X11BASE by itself so please help it a bit by setting X11BASE=${LOCALBASE} in make.conf. On the other hand, if you do wish to use non-default X11BASE, please set variable USE_NONDEFAULT_X11BASE.
*** Error code 1

Stop.
---> Upgrading 'cvsup-without-gui-16.1h_2' to 'cvsup-without- gui-16.1h_3' (net/cvsup-without-gui)
--->  Building '/usr/ports/net/cvsup-without-gui'
On FreeBSD before 6.2 ports system unfortunately can not set default X11BASE by itself so please help it a bit by setting X11BASE=${LOCALBASE} in make.conf. On the other hand, if you do wish to use non-default X11BASE, please set variable USE_NONDEFAULT_X11BASE.
*** Error code 1

Stop.
---> Skipping 'textproc/aspell' (aspell-0.60.5) because a requisite package 'gettext-0.16.1_1' (devel/gettext) failed (specify -k to force) ---> Skipping 'security/libgcrypt' (libgcrypt-1.2.4_1) because a requisite package 'gettext-0.16.1_1' (devel/gettext) failed (specify -k to force) ---> Skipping 'security/libksba' (libksba-1.0.1_1) because a requisite package 'gettext-0.16.1_1' (devel/gettext) failed (specify -k to force) ---> Skipping 'security/dirmngr' (dirmngr-0.9.7_2) because a requisite package 'libksba-1.0.1_1' (security/libksba) failed (specify -k to force) ---> Skipping 'shells/bash' (bash-3.1.17) because a requisite package 'gettext-0.16.1_1' (devel/gettext) failed (specify -k to force) ---> Skipping 'textproc/libxslt' (libxslt-1.1.20) because a requisite package 'gettext-0.16.1_1' (devel/gettext) failed (specify -k to force) ---> Skipping 'security/gnupg' (gnupg-2.0.3) because a requisite package 'libksba-1.0.1_1' (security/libksba) failed (specify -k to force) ---> Skipping 'devel/p5-Locale-gettext' (p5-gettext-1.05_1) because a requisite package 'gettext-0.16.1_1' (devel/gettext) failed (specify -k to force) ---> Skipping 'misc/help2man' (help2man-1.36.4_1) because a requisite package 'gettext-0.16.1_1' (devel/gettext) failed (specify -k to force) ---> Skipping 'print/texinfo' (texinfo-4.8_3) because a requisite package 'gettext-0.16.1_1' (devel/gettext) failed (specify -k to force) ---> Upgrading 'automake-1.9.6' to 'automake-1.9.6_1' (devel/ automake19)
--->  Building '/usr/ports/devel/automake19'
On FreeBSD before 6.2 ports system unfortunately can not set default X11BASE by itself so please help it a bit by setting X11BASE=${LOCALBASE} in make.conf. On the other hand, if you do wish to use non-default X11BASE, please set variable USE_NONDEFAULT_X11BASE.
*** Error code 1

Stop.
---> Upgrading 'automake-1.5_2,1' to 'automake-1.5_3,1' (devel/ automake15)
--->  Building '/usr/ports/devel/automake15'
On FreeBSD before 6.2 ports system unfortunately can not set default X11BASE by itself so please help it a bit by setting X11BASE=${LOCALBASE} in make.conf. On the other hand, if you do wish to use non-default X11BASE, please set variable USE_NONDEFAULT_X11BASE.
*** Error code 1

Stop.
---> Upgrading 'libungif-nox11-4.1.4_2' to 'libungif- nox11-4.1.4_3' (graphics/libungif)
--->  Building '/usr/ports/graphics/libungif'
On FreeBSD before 6.2 ports system unfortunately can not set default X11BASE by itself so please help it a bit by setting X11BASE=${LOCALBASE} in make.conf. On the other hand, if you do wish to use non-default X11BASE, please set variable USE_NONDEFAULT_X11BASE.
*** Error code 1

Stop.
--->  Upgrading 'emacs-21.3_9' to 'emacs-21.3_10' (editors/emacs)
--->  Building '/usr/ports/editors/emacs'
On FreeBSD before 6.2 ports system unfortunately can not set default X11BASE by itself so please help it a bit by setting X11BASE=${LOCALBASE} in make.conf. On the other hand, if you do wish to use non-default X11BASE, please set variable USE_NONDEFAULT_X11BASE.
*** Error code 1

Stop.
---> Skipping 'mail/mutt' (mutt-1.4.2.2) because a requisite package 'gettext-0.16.1_1' (devel/gettext) failed (specify -k to force)
** Listing the failed packages (*:skipped / !:failed)
        ! devel/gettext (gettext-0.16.1_1)      (clean error)
        * security/libgpg-error (libgpg-error-1.4_1)
        * www/neon (neon-0.26.3)
        * devel/gmake (gmake-3.81_1)
        ! security/nmap (nmap-4.20)     (clean error)
! net/cvsup-without-gui (cvsup-without-gui-16.1h_2) (clean error)
        * textproc/aspell (aspell-0.60.5)
        * security/libgcrypt (libgcrypt-1.2.4_1)
        * security/libksba (libksba-1.0.1_1)
        * security/dirmngr (dirmngr-0.9.7_2)
        * shells/bash (bash-3.1.17)
        * textproc/libxslt (libxslt-1.1.20)
        * security/gnupg (gnupg-2.0.3)
        * devel/p5-Locale-gettext (p5-gettext-1.05_1)
        * misc/help2man (help2man-1.36.4_1)
        * print/texinfo (texinfo-4.8_3)
        ! devel/automake19 (automake-1.9.6)     (clean error)
        ! devel/automake15 (automake-1.5_2,1)   (clean error)
        ! graphics/libungif (libungif-nox11-4.1.4_2)    (clean error)
        ! editors/emacs (emacs-21.3_9)  (clean error)
        * mail/mutt (mutt-1.4.2.2)
--->  Packages processed: 0 done, 171 ignored, 14 skipped and 7 failed

These errors are occuring thaugh I have specified in my make.conf file :

WITHOUT_X11=yes

I don't really know what to do… Do I have to include an X11BASE in my make.conf thaugh I have specified (and would like to have) WITHOUT_X11 !!


This is kind of stupid, or am I missing something ?


¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯
Gregober ---> PGP ID --> 0x1BA3C2FD
bsd @at@ todoo.biz
¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯

P "Please consider your environmental responsibility before printing this e-mail"


_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to